> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/issuing-cash-tokens.md).

# Issuing cash tokens

### Issuing of Verified cash tokens

Application users can request for issue of Verified cash tokens in exchange of ether and permitted ERC20 tokens such as USDC that they pay in from their Verified wallet or any other ERC20 compatible Ethereum wallet. Fiat currencies paid into Custodian accounts are retrieved using the payment gateway's functions and for every approved payment, the Custodian's application has to call the [pay in function](broken://pages/-MRKr02k5-EzLIN5zI3t#request-issue-of-verified-cash-token-for-fiat-paid-in) on the Cash contract signed by its Verified wallet key.

Applications can call the `notifyCashIssue` function in the SDK's cash contract and pass a callback function which is invoked when cash tokens are issued on the Verified Network.

### Conversion of Verified cash tokens

Users can also request issue of Verified cash tokens in a currency of choice by paying in another Verified cash token of a different currency. For example, a user can request for issue of Verified USD cash tokens by paying in Verified EUR cash tokens. This is achieved using the [transfer function](broken://pages/-MRKr02k5-EzLIN5zI3t#request-exchange-of-verified-cash-tokens) which applications should call by passing the currency and amount to debit, and the currency to issue Verified cash in. Doing this converts the amount in the currency to debit into an equivalent amount in the currency to issue in and then credits that amount into the user's Verified wallet.

Applications can call the `notifyCashExchange` function in the SDK's cash contract and pass a callback function which is invoked when cash tokens are exchanged on the Verified Network.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/issuing-cash-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
